version: '3.7'

services:
  mysql:  
    image: mysql:5.7
    container_name: mysql
    hostname: mysql
    environment:
      - MYSQL_ROOT_PASSWORD=password
      - MYSQL_DATABASE=aracarrental
      - MYSQL_USER=user
      - MYSQL_PASSWORD=password
    restart: unless-stopped
    ports:
      - 127.0.0.1:3306:3306
    volumes:
      - mysql-data:/var/lib/mysql

  phpmyadmin:
      image: phpmyadmin
      container_name: phpmyadmin
      restart: always
      ports:
        - 8080:80
      environment:
        - PMA_ARBITRARY=1
  app:
    build: .
    container_name: api
    hostname: api
    restart: unless-stopped
    volumes:
      - ./src:/var/www/html
    ports:
      - "80:80"
    depends_on:
      - mysql

volumes:
  mysql-data:

networks:
  default:
